package jajacode.interpreteur;

import memoire.Memoire;


/**
 * Classe pour realiser l'interpretation de code,
 * contient une memoire et une adresse 
 * @author Beuque Eric
 */
public class InterpreteurJajaCodeData {

	public Memoire memoire;
	private int adresse;
	
	public InterpreteurJajaCodeData(){
		memoire = new Memoire();
		adresse = 1;
	}
	
	public void appendAdresse(int append){
		adresse += append;
	}
	
	public void setAdresse(int addresse){
		adresse = addresse;
	}
	
	public int compareAdresse(int adresse){
		if(this.adresse==adresse){
			return 0;
		}else{
			return this.adresse-adresse;
		}
	}
	
	public int getAdresse(){
		return this.adresse;
	}
	
}
